%define _RC beta1
Summary:	Automatic mail answering program for Linux
Name:		vacation
Version:	1.2.8.0
Release:	%mkrel %{?_RC:1.%_RC.}1
License:	BSD
Group:		Networking/Mail
Source:		https://downloads.sourceforge.net/project/%{name}/%{name}/%{version}%{?_RC:-%_RC}/%{name}-%{version}%{?_RC:-%_RC}.tar.gz
URL:		https://sourceforge.net/projects/vacation/

BuildRequires:	gdbm-devel
BuildRequires:	mercurial

Requires:	sendmail-command

%description 
Vacation is the automatic mail answering program found
on many Unix systems. This version works with the sendmail
restricted shell.

%prep
%autosetup -S hg -n %{name}-%{version}%{?_RC:-%_RC}

%build
%make_build

%install

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_mandir}/de/man1

install -m 755 vacation %{buildroot}%{_bindir}/vacation
install -m 755 vaclook %{buildroot}%{_bindir}/vaclook
install -m 444 vacation.man %{buildroot}%{_mandir}/man1/vacation.1
install -m 444 vacation-de.man %{buildroot}%{_mandir}/de/man1/vacation.1
install -m 444 vaclook.man %{buildroot}%{_mandir}/man1/vaclook.1

%post
if [ -d /etc/smrsh/ ] ; then 
  ln -s /usr/bin/vacation /etc/smrsh
fi

%postun
if [ -L /etc/smrsh/vacation ] ; then 
  rm -f /etc/smrsh/vacation
fi


%files
%doc COPYING README README.smrsh ChangeLog
%{_bindir}/vacation
%{_bindir}/vaclook
%{_mandir}/man*/*
%lang(de) %{_mandir}/de/man*/*


%changelog
* Mon Oct 30 2023 mokraemer <mokraemer> 1.2.8.0-1.beta1.1.mga10
+ Revision: 2002890
- new (beta) version 1.2.8.0, to fix mga#32245, parsing of linebreaked headers

* Fri Mar 18 2022 umeabot <umeabot> 1.2.7.1-11.mga9
+ Revision: 1797723
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 1.2.7.1-10.mga8
+ Revision: 1517746
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.2.7.1-9.mga7
+ Revision: 1301562
- Mageia 7 Mass Rebuild

* Sun Jun 17 2018 luigiwalser <luigiwalser> 1.2.7.1-8.mga7
+ Revision: 1237494
- rebuild for gdbm

* Wed Feb 17 2016 umeabot <umeabot> 1.2.7.1-7.mga6
+ Revision: 963188
- Mageia 6 Mass Rebuild

* Thu Oct 22 2015 daviddavid <daviddavid> 1.2.7.1-6.mga6
+ Revision: 894129
- add available German manpage

* Thu Oct 22 2015 tv <tv> 1.2.7.1-5.mga6
+ Revision: 894119
- do not strip binary

* Wed Oct 15 2014 umeabot <umeabot> 1.2.7.1-5.mga5
+ Revision: 746832
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.7.1-4.mga5
+ Revision: 690119
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.7.1-3.mga4
+ Revision: 520015
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.2.7.1-2.mga3
+ Revision: 385221
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 vaci0 <vaci0> 1.2.7.1-1.mga3
+ Revision: 344291
- Update to version 1.2.7.1
- Fixed License BSD
- Clean spec
+ bersuit <bersuit>
- Update to new version 1.2.7.1

* Tue Mar 08 2011 ennael <ennael> 1.2.7.0-2.mga2
+ Revision: 66386
- imported package vacation

